/** 
 *  _   _        _  _                           _             
 * | |_| |  ___ | || |  ___   __ _  _ __  _ __ (_)  ___  _ __ 
 * |  _  | / _ \| || | / __| / _` || '__|| '__|| | / _ \| '__|
 * | | | ||  __/| || || (__ | (_| || |   | |   | ||  __/| |   
 * |_| |_| \___||_||_| \___| \__,_||_|   |_|   |_| \___||_|   
 * 
 *  (c) 2001 Free Lunch Design, Teknisk-IT, AerotechTelub
 *			  http://www.freelunchdesign.com
 * 
 * This source code is released as is under GPL (General Public
 * License). Please refer to license.txt for more information.
 * 
 */
 
#ifndef _SECTOR_H_
#define _SECTOR_H_

#include "object.h"

#define MAX_SECTORS 1024
#define SECTOR_W 640
#define SECTOR_H 640




class sector {
public:
	int x,y;
	class object *obj;

	sector(int nx, int ny);
	~sector();
	void add_object(object *o);
	object *get_objects();
	void remove_object(object *o);
};


class sector_space {
public:
	int width, height;
	int origin_x, origin_y;
	
	sector *s[MAX_SECTORS];

	sector_space(int ox, int oy, int w, int h);
	~sector_space();

	sector *get_sector(int sx, int sy);
	void add_object(object *o);
};

#endif
